%%
%% This is file `imfletter.cls', generated on <2010/2/20> 
%% with the docstrip utility (2.5d).
%%
%% The original source files were:
%%
%% imfufa.dtx  (with options: `cls,letter')
%% 
%% This is a generated file.
%% 
%% It may be distributed under the conditions of the LaTeX Project Public
%% License, either version 1.3c of this license or (at your option) any
%% later version.  The latest version of this license is in
%%    http://www.latex-project.org/lppl.txt
%% and version 1.3c or later is part of all distributions of LaTeX
%% version 2006/05/20 or later.
%% 
%% It may not be distributed without the original source file imfufa.dtx.
%% 
%%
%% This file is part of the `IMFUFA LaTeX Bundle'.
%% Copyright (C) 1994-2010 J\o rgen Larsen.
%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{imfletter}[2010/02/20 v.3.2.3 IMFUFA LaTeX document class]
\newcommand*{\imf@classname}{imfletter}

\newcommand*{\imf@info}[1]{\ClassInfo{\imf@classname}{#1,}}
\newcommand*{\imf@warnnoline}[1]{\ClassWarningNoLine{\imf@classname}{#1}}

\RequirePackage{etoolbox}

\newif\ifimf@fpl \imf@fplfalse
\newif\ifimf@fplneu \imf@fplneufalse
\newif\ifimf@times \imf@timesfalse
\newif\ifimf@fourier \imf@fourierfalse
\newif\ifimf@fouriernc \imf@fourierncfalse
\newif\ifimf@ccfonts \imf@ccfontsfalse
\newif\ifimf@boldx \imf@boldxfalse
\newif\ifimf@noboldx \imf@noboldxfalse
\newif\ifimf@pplleading \imf@pplleadingfalse
\newif\ifimf@amsmath \imf@amsmathfalse
\newif\ifimf@tghack \imf@tghackfalse
\DeclareOption{palatino}{\imf@setmainfnt{fpl}\imf@pplleadingtrue}
\DeclareOption{palatino9}{\imf@setmainfnt{fplneu}\imf@pplleadingtrue}
\DeclareOption{times}{\imf@setmainfnt{times}}
\DeclareOption{fourier}{\imf@setmainfnt{fourier}}
\DeclareOption{fouriernc}{\imf@setmainfnt{fouriernc}}
\DeclareOption{ccfonts}{\imf@setmainfnt{ccfonts}\imf@pplleadingtrue}
\newcommand*{\imf@setmainfnt}[1]{%
  \imf@ccfontsfalse%
  \imf@fplfalse\imf@fplneufalse\imf@timesfalse%
  \imf@fourierfalse\imf@fourierncfalse%
  \@nameuse{imf@#1true}}

\DeclareOption{boldx}{\imf@boldxtrue}
\DeclareOption{noboldx}{\imf@noboldxtrue}
\DeclareOption{amsmath}{\imf@amsmathtrue}
\DeclareOption{10pt13}{\imf@pplleadingtrue}
\DeclareOption{pplleading}{\imf@pplleadingtrue}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{memoir}}

\ProcessOptions\relax

\RequirePackage[T1]{fontenc}
\RequirePackage{textcomp}
\renewcommand*{\textcompsubstdefault}{lmr}
\DeclareEncodingSubset{TS1}{lmr}{0}

\DeclareRobustCommand*{\tcfont}{\fontencoding{TS1}\selectfont}
\DeclareTextFontCommand{\textco}{\tcfont}

\RequirePackage[latin1]{inputenc}
\makeatletter

\newcommand*{\setnormalsize}[1]{%
  \makeatletter\@setnormalsize{#1}\makeatother
  \checkandfixthelayout
}
\newcommand*{\@setnormalsize}[1]{%
 \ifimf@pplleading \def\@tempa{imfppl#1.clo} \else \def\@tempa{mem#1.clo}\fi
  \InputIfFileExists{\@tempa}{%
    \let\miniscule\relax\let\tiny\relax\let\scriptsize\relax
    \let\footnotesize\relax\let\small\relax
    \let\large\relax\let\Large\relax\let\LARGE\relax
    \let\huge\relax\let\Huge\relax\let\HUGE\relax
  }{\imf@warnnoline{File \@tempa\space not found. Font size not changed}}
}

\ifimf@boldx\else\renewcommand*{\bfdefault}{b}\fi
\ifimf@noboldx\newcommand*{\bxdefault}{b}\else\newcommand*{\bxdefault}{bx}\fi
\newcommand*{\bndefault}{b}
\DeclareRobustCommand*{\bxseries}{\fontseries\bxdefault\selectfont}
\DeclareTextFontCommand{\textbx}{\bxseries}
\DeclareRobustCommand*{\bnseries}{\fontseries\bndefault\selectfont}
\DeclareTextFontCommand{\textbn}{\bnseries}

\renewcommand*{\@fnsymbol}[1]{\ifcase#1\or
  \textasteriskcentered\or \textdagger\or \textdaggerdbl\or \textsection\or
  \textbardbl\or \textparagraph\or \textasteriskcentered\textasteriskcentered\or
  \textdagger\textdagger\or \textdaggerdbl\textdaggerdbl\else \@ctrerr\fi}

\RequirePackage{lmodern}

\ifimf@ccfonts
  \renewcommand*{\normalsize}{}
  \RequirePackage[standard-baselineskips]{ccfonts}[2000/06/30]
  \renewcommand*{\bfdefault}{sbc}
  \renewcommand*{\bxdefault}{sbc}
  \renewcommand*{\bndefault}{sbc}
\fi

\ifimf@fpl
  \RequirePackage{mathpazo}[2004/09/15 PSNFSS-v9.2]
  \IfFileExists{tgpagella.sty}{%
    \RequirePackage{tgpagella}\imf@tghacktrue}{%
    \imf@warnnoline{TeX Gyre Pagella not found}}
\fi

\ifimf@fplneu
  \IfFileExists{t1fp9j.fd}{%
    \renewcommand*\rmdefault{fp9j}
  %  \DeclareSymbolFont{digits}{T1}{fp9x}{m}{n}
  %  \DeclareMathSymbol{0}\mathalpha{digits}{"30}
  %  \DeclareMathSymbol{1}\mathalpha{digits}{"31}
  %  \DeclareMathSymbol{2}\mathalpha{digits}{"32}
  %  \DeclareMathSymbol{3}\mathalpha{digits}{"33}
  %  \DeclareMathSymbol{4}\mathalpha{digits}{"34}
  %  \DeclareMathSymbol{5}\mathalpha{digits}{"35}
  %  \DeclareMathSymbol{6}\mathalpha{digits}{"36}
  %  \DeclareMathSymbol{7}\mathalpha{digits}{"37}
  %  \DeclareMathSymbol{8}\mathalpha{digits}{"38}
  %  \DeclareMathSymbol{9}\mathalpha{digits}{"39}
  }{%
    \imf@warnnoline{FPL Neu not installed, using Palatino}
    \RequirePackage{mathpazo}[2004/09/15 PSNFSS-v9.2]}
  \RequirePackage[euler-digits]{eulervm}
  \IfFileExists{t1uop.fd}{%
    \renewcommand*\sfdefault{uop}}{}
\fi

\ifimf@times
  \RequirePackage{mathptmx}[2004/09/15 PSNFSS-v9.2]
  \IfFileExists{tgtermes.sty}{%
    \RequirePackage{tgtermes}\imf@tghacktrue}{%
    \imf@warnnoline{TeX Gyre Termes font not found}}
\fi

\ifimf@fourier
  \IfFileExists{fourier.sty}{%
    \let\@my@@font@warning\@font@warning
    \let\@font@warning\@font@info
    \RequirePackage{fourier}
    \let\@font@warning\@my@@font@warning
    }{%
    \imf@warnnoline{Package fourier not found, using default fonts}}
\fi

\ifimf@fouriernc
  \IfFileExists{fouriernc.sty}{%
    \let\@my@@font@warning\@font@warning
    \let\@font@warning\@font@info
    \RequirePackage{fouriernc}
    \let\@font@warning\@my@@font@warning
    \DeclareEncodingSubset{TS1}{fnc}{4}
}{%
    \imf@warnnoline{Package fouriernc not found, using default fonts}}
\fi

\normalfont
\def\@tempa{lmr}
\ifx\f@family\@tempa
  \DeclareFontShape{T1}{lmr}{b}{it}{ <-> ssub * lmr/b/sl}{}
  {\tcfont\DeclareFontShape{TS1}{lmr}{b}{it}{ <-> ssub * lmr/b/sl}{}}
\fi

\AtBeginDocument{{%
    \sffamily\selectfont
    \def\@tempa{lmss}
    \ifx\f@family\@tempa
      \DeclareFontShape{T1}{lmss}{b}{n}{<->ssub*lmss/bx/n}{}
      \DeclareFontShape{T1}{lmss}{b}{sl}{<->ssub*lmss/bx/sl}{}
      \DeclareFontShape{T1}{lmss}{b}{it}{<->ssub*lmss/bx/sl}{}
      \tcfont
      \DeclareFontShape{TS1}{lmss}{b}{n}{<->ssub*lmss/bx/n}{}
      \DeclareFontShape{TS1}{lmss}{b}{sl}{<->ssub*lmss/bx/sl}{}
      \DeclareFontShape{TS1}{lmss}{b}{it}{<->ssub*lmss/bx/sl}{}
    \fi
}}

\ifimf@tghack
{%
  \DeclareFontShape{T1}{\rmdefault}{m}{sl}{<-> ssub * \rmdefault/m/it}{}
  \DeclareFontShape{T1}{\rmdefault}{b}{sl}{<-> ssub * \rmdefault/b/it}{}
  \DeclareFontShape{T1}{\rmdefault}{bx}{sl}{<-> ssub * \rmdefault/b/it}{}
  \tcfont
  \DeclareFontShape{TS1}{\rmdefault}{m}{sl}{<-> ssub * \rmdefault/m/it}{}
  \DeclareFontShape{TS1}{\rmdefault}{b}{sl}{<-> ssub * \rmdefault/b/it}{}
  \DeclareFontShape{TS1}{\rmdefault}{bx}{sl}{<-> ssub * \rmdefault/b/it}{}
}
\fi

\LoadClass[a4paper,oneside,onecolumn]{memoir}[2004/04/05]

\ifimf@pplleading
  \ifnum \@ptsize=9 \@setnormalsize{9} \else \@setnormalsize{1\@ptsize}\fi
\fi

\@ifpackageloaded{tgpagella}{%
  \EmulatedPackage{palatino}\EmulatedPackage{mathpple}}{}
\@ifpackageloaded{tgtermes}{\EmulatedPackage{mathptm}\EmulatedPackage{times}}{}
\footmarkstyle{\textsuperscript{#1}\hspace{0.25em}}
\setlength{\footmarkwidth}{1em}
\setlength{\footmarksep}{-1em}

\renewenvironment{quotation}
  {\list{}{\listparindent 1.5em%
           \itemindent    \z@
           \rightmargin   \leftmargin
           \parsep        \z@ \@plus\p@}%
   \item\relax}
  {\endlist}

\firmlists
\renewcommand{\descriptionlabel}[1]{\hspace\labelsep{\imf@descrlabfnt#1}}
\renewcommand{\blockdescriptionlabel}[1]{%%% \hspace\labelsep
                                   {\imf@descrlabfnt#1}}
\newcommand{\descriptionlabelfont}[1]{\def\imf@descrlabfnt{#1}}
\descriptionlabelfont{\normalfont\bfseries}
\ifimf@ccfonts
  \descriptionlabelfont{\normalfont\itshape}
\fi

\renewcommand{\captionsize}{\small}
\captiontitlefont{\normalfont\captionsize}
\captionnamefont{\normalfont\captionsize\bfseries}
\captiondelim{\enspace}
\captionstyle[\centering]{\RaggedRight}

\ifimf@ccfonts
  \captionnamefont{\captionsize\scshape}
\fi

\DeclareSymbolFont{companion}{TS1}{\familydefault}{m}{n}
\DeclareMathSymbol{\mathperthousand}{\mathord}{companion}{135}
\DeclareRobustCommand{\promille}
  {\ifmmode\mathperthousand\else\textperthousand\fi}
\let\perthousand\promille
\DeclareMathSymbol{\mathcelsius}{\mathord}{companion}{137}
\DeclareRobustCommand{\celsius}
  {\ifmmode\mathcelsius\else\textcelsius\fi}
\DeclareMathSymbol{\matheuro}{\mathord}{companion}{191}
\DeclareRobustCommand{\euro}{\ifmmode\matheuro\else\texteuro\fi}

\newcommand*{\imfufapar}{%
  \setlength\parskip{0.5\baselineskip \@plus \p@}
  \setlength\parindent\z@}

\setheadfoot{\onelineskip}{3\onelineskip}
\if@twoside\settrimmedsize{\stockheight}{0.95\stockwidth}{*}\fi
\setlrmarginsandblock{0.166\paperwidth}{0.166\paperwidth}{*}
\checkandfixthelayout

\AtBeginDocument{\@ifpackageloaded{natbib}{\DeclareRobustCommand*{\harvardand}{\&}}{}}

\renewcommand*{\partnamefont}{\normalfont\huge\bxseries}
\renewcommand*{\partnumfont}{\normalfont\huge\bxseries}
\renewcommand*{\parttitlefont}{\normalfont\Huge\bxseries}
\aliaspagestyle{part}{empty}

\aliaspagestyle{endpart}{cleared}
\renewcommand{\@endpart}{\afterpartskip
  \if@twoside
    \if@openright
      \null
      \thispagestyle{endpart}%
      \newpage
    \fi
  \fi
  \if@tempswa
    \twocolumn
  \fi}
\setbeforesecskip{-1.5\baselineskip \@plus -\p@}
\setaftersecskip{0.36\baselineskip}
\setbeforesubsecskip{-1\baselineskip \@plus -\p@}
\setaftersubsecskip{0.27\baselineskip}
\setbeforesubsubsecskip{-0.75\baselineskip \@plus -\p@}
\setaftersubsubsecskip{0.18\baselineskip}
\setbeforeparaskip{0.5\baselineskip \@plus \p@}
\setbeforesubparaskip{0.25\baselineskip \@plus \p@}
\setparaheadstyle{\normalsize\itshape}
\setsubparaheadstyle{\normalsize\itshape}

\newcommand*{\bpar}{\par\vspace{0.5\baselineskip \@plus \p@}%
  \@afterindentfalse\@afterheading}

\RequirePackage[babel,danish=guillemets]{csquotes}[2004/09/18]
\DeclareQuoteStyle[quotes]{danish}
  {\quotedblbase}
  {\textquotedblleft}
  [0.05em]
  {\textquoteleft}% was {\textquoteright}
  {\textquoteright}
\DeclareQuoteStyle[guillemets]{danish}
  {\guillemotright}
  {\guillemotleft}
  {\textquoteleft}% was {\textquoteright}
  {\textquoteright}
\let\textqm\enquote
\ifx\mkcitation\@undefined
  \renewcommand*{\blockcite}[1]{\ifblockquote{\newline\null\hfill(#1)}{ (#1)}}
\else
  \renewcommand*{\mkcitation}[1]{\ifblockquote{\newline\null\hfill(#1)}{ (#1)}}
  \renewcommand*{\mkccitation}[1]{\ifblockquote{\newline\null\hfill#1}{ #1}}
\fi

\DeclareRobustCommand*{\nicefrac}[2]{\ifmmode\mathnicefrac{#1}{#2}%
  \else\textnicefrac{#1}{#2}\fi}
\newcommand*{\textnicefrac}[2]{\check@mathfonts%
  \mbox{\raisebox{.5ex}{\fontsize\sf@size\z@\selectfont#1}\kern-.1em%
  /\kern-.1em\raisebox{-.25ex}{\fontsize\sf@size\z@\selectfont#2}}}
\newcommand*{\mathnicefrac}[2]{%
  \mathchoice
    {\m@fr@c{\scriptstyle}{#1}{#2}}
    {\m@fr@c{\scriptstyle}{#1}{#2}}
    {\m@fr@c{\scriptscriptstyle}{#1}{#2}}
    {\m@fr@c{\scriptscriptstyle}{#1}{#2}}}
\newcommand*{\m@fr@c}[3]
  {\raisebox{.5ex}{$#1#2$}\kern-.1em/\kern-.1em\raisebox{-.25ex}{$#1#3$}}

\newcounter{@tempcnt}
\newcommand*{\emptypages}[1]{\setcounter{@tempcnt}{\z@}%
  \@whilenum{\c@@tempcnt<#1}\do{\clearpage\ \stepcounter{@tempcnt}}
  \clearpage}

\newcommand*{\RaggedRight}{\setlength{\rightskip}{0em \@plus 2em}}

\AtEndPreamble{\RequirePackage{graphicx}}
\newcommand*{\dvs}{\rotatebox[origin=c]{180}{:c} }

\ifimf@amsmath\RequirePackage{amsmath}\RequirePackage{amsfonts}\fi

\newcommand*{\ntup}[3][, ]{\ensuremath{{#2}_{1}#1{#2}_{2}#1\dots#1{#2}_{#3}}}

\newcommand*{\N}{\mathbb{N}}
\newcommand*{\Z}{\mathbb{Z}}
\newcommand*{\Q}{\mathbb{Q}}
\newcommand*{\R}{\mathbb{R}}
\newcommand*{\C}{\mathbb{C}}
\AtEndPreamble{\ifundef{\mathbb}{\RequirePackage{amsfonts}}{}}

\AtBeginDocument{\renewcommand*{\Pr}{\mathop{\operator@font{}P}\nolimits}}
\newcommand*{\Exp}{\mathop{\operator@font{}E}\nolimits}
\newcommand*{\Var}{\mathop{\operator@font{Var}}\nolimits}
\providecommand*{\binom}[2]{{#1\choose#2}}
\newcommand*{\eps}{\varepsilon}
\AtBeginDocument{%
  \renewcommand*{\Re}{\mathop{\operator@font{Re}}}
  \renewcommand*{\Im}{\mathop{\operator@font{Im}}}}
\newcommand*{\ton}[1]{\mathrel{\m@th\mathpalette\t@n#1}}
\newcommand*{\t@n}[2]{\m@th\ooalign{$\hfil#1\mkern1mu\backslash\hfil$\crcr$#1#2$}}
\newcommand*{\imf@xpt}{\@setfontsize{\imf@xpt}{\@xpt}{\@xiipt}}
\newcommand*{\imf@viiipt}{\@setfontsize{\imf@viiipt}{\@viiipt}{\@xpt}}
\newcommand*{\imf@letterheadfont}{\usefont{T1}{lmss}{m}{n}}

\newcommand*{\name}[1]{\def\fromname{#1}}
\name{}
\newcommand*{\signature}[1]{\def\fromsig{#1}}
\signature{}
\newcommand*{\address}[1]{\def\fromaddress{#1}}
\address{}
\newcommand*{\location}[1]{\def\fromlocation{#1}}
\location{}
\newcommand*{\telephone}[1]{\def\telephonenum{#1}}
\telephone{}
\newcommand*{\fax}[1]{\def\imf@faxnum{#1}}
\fax{}
\newcommand*{\email}[1]{\def\imf@fromemail{#1}}
\email{}
\newcommand*{\homepage}[1]{\def\imf@homepage{#1}}
\homepage{}
\newcommand*{\journal}[1]{\def\imf@fromjournal{#1}}
\journal{}
\newcommand*{\yourreference}[1]{\def\imf@yourreference{#1}}
\yourreference{}
\newenvironment{letter}[1]{%
  \newpage
  \thispagestyle{empty}
  \c@page \@ne
  \c@footnote \z@
  \interlinepenalty=200
  \@processto{\leavevmode\ignorespaces #1}}
{\@@par\pagebreak\@@par}

\long\def\@processto#1{%
  \@xproc #1\\@@@%
  \ifx\toaddress\@empty
  \else
    \@yproc #1@@@%
  \fi}
\long\def\@xproc #1\\#2@@@{\def\toname{#1}\def\toaddress{#2}}
\long\def\@yproc #1\\#2@@@{\def\toaddress{#2}}

\newcommand*{\stopbreaks}{%
  \interlinepenalty\@M
  \def\par{\@@par\nobreak}%
  \let\\\@nobreakcr
  \let\vspace\@nobreakvspace}

\DeclareRobustCommand\@nobreakvspace
   {\@ifstar\@nobreakvspacex\@nobreakvspacex}
\def\@nobreakvspacex#1{%
  \ifvmode
    \nobreak\vskip #1\relax
  \else
    \@bsphack\vadjust{\nobreak\vskip #1}\@esphack
  \fi}
\def\@nobreakcr{\@ifstar{\@normalcr*}{\@normalcr*}}

\newcommand*{\startbreaks}{%
  \let\\\@normalcr
  \interlinepenalty 200%
  \def\par{\@@par\penalty 200\relax}}

\newcommand*{\opening}[1]{%
  {\setlength{\parindent}{0pt}
    \imf@definenames
    \setlength{\unitlength}{1pt}
    \raisebox{\onelineskip}{%
      \begin{picture}(0,0)(\strip@pt\spinemargin,-\strip@pt\uppermargin)
        \imf@viiipt
        \imf@letterheadfont
        \printsenderinfo
        \printletterhead
        \printletterfoot
        \printdate
        \printaddressee
      \end{picture}
    }
    \par\vspace{140\p@ \@plus 40\p@ \@minus 4\p@}
    \ifnum\c@lastpage=1\vfill\fi
    {#1\par}}}

\newcommand{\closing}[2][c]{%
  \par\nobreak\vspace{15\p@ \@plus 4\p@ \@minus 4\p@}%
  \stopbreaks
  \noindent
  \makebox[\textwidth][#1]{\begin{tabular}{@{}c@{}}
      #2\\[40\p@]
      \ifx\@empty\fromsig\fromname\else\fromsig\fi
    \end{tabular}}
  \vfill\null\vfill
}

\newcommand*{\cc}[1]{%
  \par\noindent
  \parbox[t]{\textwidth}{%
    \@hangfrom{\normalfont\ccname: }%
    \ignorespaces #1\strut}\par}

\newcommand*{\encl}[1]{%
  \par\noindent
  \parbox[t]{\textwidth}{%
    \@hangfrom{\normalfont\enclname: }%
    \ignorespaces #1\strut}\par}

\newcommand*{\ps}{\par\startbreaks}

\newcommand*{\letterstyle}[1]{
  \makeatletter
  \InputIfFileExists{#1.ils}{}
  {\imf@warnnoline{Letterstyle file #1.ils not found}}
  \makeatother
}

\newcommand*{\imf@definenames}{%
  \iflanguage{danish}{%
    \newcommand*{\imf@emailname}{E-post}
    \newcommand*{\imf@homepagename}{Hjemmeside}
    \newcommand*{\imf@faxname}{Telefax}
    \newcommand*{\imf@phonename}{Telefon}
  }{%
    \newcommand*{\imf@emailname}{E-mail}
    \newcommand*{\imf@homepagename}{Homepage}
    \newcommand*{\imf@faxname}{Fax}
    \newcommand*{\imf@phonename}{Phone}
}}

\newcommand*{\printletterhead}{}

\newcommand*{\printsenderinfo}{%
  \put(379,-138){%
    \begin{tabular}{@{}l}
      \IMF@ifnotempty{\fromname}{\fromname\\ }
      \IMF@ifnotempty{\fromaddress}{\fromaddress\\[3pt] }
      \begin{tabular}[t]{@{}l@{ }l}
        \IMF@ifnotempty{\telephonenum}
        {\imf@phonename:&\telephonenum\\ }
        \IMF@ifnotempty{\imf@faxnum}
        {\imf@faxname:&\imf@faxnum\\ }
      \end{tabular}\\
      \IMF@ifnotempty{\imf@fromemail}
      {\imf@emailname: \imf@fromemail\\ }
      \IMF@ifnotempty{\imf@homepage}
      {\def~{\textasciitilde}\imf@homepage\\ }
    \end{tabular}
  }
}

\newcommand*{\printdate}{%
  \put(379,-233){{\normalsize\normalfont\@date}}
}

\newcommand*{\printaddressee}{%
  \put( 72,-138){{\normalsize\normalfont%
      \begin{tabular}{l}\toname\\ \toaddress\end{tabular}}}
}

\newcommand*{\printletterfoot}{}

\makepagestyle{tplain}
\makeoddhead{tplain} {}{}{\imf@viiipt\imf@letterheadfont\pagename~\thepage}
\makeevenhead{tplain}{}{}{\imf@viiipt\imf@letterheadfont\pagename~\thepage}
\pagestyle{tplain}

\raggedbottom
\newcommand*{\IMF@ifnotempty}[2]{\ifx#1\@empty\else#2\fi}

\RequirePackage[danish]{babel}

\ifx\l@danish\@undefined\else
  \addto\captionsdanish{%
    \def\theoremname{S{\ae}tning}
    \def\theoremrefname{s{\ae}tning}
    \def\boxname{Boks}
    \def\listboxname{Bokse}
    \def\ofname{af}
    \def\appendixpagename{Appendiks}
    \def\figurerefname{figur}
    \def\tablerefname{tabel}
    \def\pagerefname{side}
    \def\partrefname{del~}
    \def\chapterrefname{kapitel~}
    \def\sectionrefname{afsnit~}
    \def\bibname{Referencer}
    \def\refname{Referencer}
    \def\indexname{Stikord}
    \def\appendixname{Appendiks}
  }
  \declare@shorthand{danish}{"/}{\nobreak\discretionary{/}{}{/}\bbl@allowhyphens}
  \addto\extrasdanish{\babel@save\-}
  \addto\extrasdanish{\def\-{\nobreak\discretionary{-}{}{}\bbl@allowhyphens}}
\fi
\ifx\l@english\@undefined\else
  \addto\captionsenglish{%
    \def\theoremname{Theorem}
    \def\theoremrefname{Theorem}
    \def\boxname{Box}
    \def\listboxname{List of Boxes}
    \def\ofname{of}
    \def\sectionrefname{section~}
  }
\fi
\ifx\l@german\@undefined\else
  \addto\captionsgerman{%
    \def\theoremname{Satz}
    \def\theoremrefname{Satz}
    \def\ofname{von}
  }
\fi
\ifx\l@ngerman\@undefined\else
  \addto\captionsngerman{%
    \def\theoremname{Satz}
    \def\theoremrefname{Satz}
    \def\ofname{von}
  }
\fi
\ifx\l@swedish\@undefined\else
  \addto\captionsswedish{%
    \def\theoremname{Sats}
    \def\theoremrefname{sats}
    \def\ofname{av}
    \def\pagerefname{sidan}
  }
\fi

\endinput
%%
%% End of file `imfletter.cls'.
